Agara
Bridge

Quote a cross-chain withdrawal

POST
/trade/v1/portfolio/bridge/withdraw/quote

Authorization

Authorization
Required
Bearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: portfolio:read

Request Body

application/jsonRequired

from_amount_base_unit
Required
string

Source collateral amount in base units.

recipient_address
Required
string

Destination recipient address.

to_chain_id
Required
string

Destination chain id.

to_token_address
Required
string

Destination token address.

curl -X POST "https://app.agara.xyz/trade/v1/portfolio/bridge/withdraw/quote" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "from_amount_base_unit": "1000000",
    "recipient_address": "0x1111111111111111111111111111111111111111",
    "to_chain_id": "42161",
    "to_token_address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"
  }'

Price + estimated time for a cross-chain withdrawal.

{
  "est_checkout_time_ms": 0,
  "est_fee_breakdown": {
    "app_fee_label": "string",
    "app_fee_percent": "string",
    "app_fee_usd": "string",
    "fill_cost_percent": "string",
    "fill_cost_usd": "string",
    "gas_usd": "string",
    "max_slippage": "string",
    "min_received": "string",
    "swap_impact": "string",
    "swap_impact_usd": "string",
    "total_impact": "string",
    "total_impact_usd": "string"
  },
  "est_input_usd": "string",
  "est_output_usd": "string",
  "est_to_token_base_unit": "string",
  "quote_id": "string"
}